Bug 516994 - Segfault during guestfish upload
Segfault during guestfish upload
Status: CLOSED INSUFFICIENT_DATA
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-12 05:28 EDT by Matthew Booth
Modified: 2010-04-19 16:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-19 16:28:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
x86_64 bzip2 compressed core dump of checkout as described above (74.35 KB, application/octet-stream)
2009-08-12 05:28 EDT, Matthew Booth
no flags Details
The patch applied against 0aaf061c2f73f8852c59afaa9706f42bc578caae when core was produced (954 bytes, application/octet-stream)
2009-08-12 05:29 EDT, Matthew Booth
no flags Details
Some gdb output from attached core (1.57 KB, text/plain)
2009-08-12 05:30 EDT, Matthew Booth
no flags Details

  None (edit)
Description Matthew Booth 2009-08-12 05:28:06 EDT
Created attachment 357133 [details]
x86_64 bzip2 compressed core dump of checkout as described above

Description of problem:
I'm getting an occasional segfault doing an upload. I've captured a core (attached) which shows it dying in an apparently harmless malloc. This presumably points to heap corruption somewhere.

Version-Release number of selected component (if applicable):
0aaf061c2f73f8852c59afaa9706f42bc578caae with the attached tiny patch applied, compiled with CFLAGS=-g.

How reproducible:
Highly variable. Was about 50%, now much less. I'm guessing it's a race condition affected by disk caches.

Steps to Reproduce:
1. LIBGUESTFS_DEBUG=1 ./fish/guestfish -a /media/passport/RHEL53PV64-20090213.img.qcow2 -m /dev/VolGroup00/LogVol00:/ -m /dev/sda1:/boot
2. upload ~/Download/strace-4.5.18-2.el5_3.3.x86_64.rpm /tmp/strace-4.5.18-2.el5_3.3.x86_64.rpm
Comment 1 Matthew Booth 2009-08-12 05:29:37 EDT
Created attachment 357134 [details]
The patch applied against 0aaf061c2f73f8852c59afaa9706f42bc578caae when core was produced
Comment 2 Matthew Booth 2009-08-12 05:30:28 EDT
Created attachment 357135 [details]
Some gdb output from attached core
Comment 3 Richard W.M. Jones 2009-09-22 10:24:28 EDT
Setting product to Virtualization Tools.

This needs to be retested against a more recent libguestfs
since that part of the code has been substantially
modified.
Comment 4 Richard W.M. Jones 2010-04-19 16:28:56 EDT
Unknown, but unlikely this still affects the latest versions of libguestfs.

Note You need to log in before you can comment on or make changes to this bug.